# Package org.apache.maven.artifact.versioning

Interface Summary
Interface | Description
--- | ---
ArtifactVersion | Describes an artifact version in terms of its components, converts it to/from a string and compares two versions.

Class Summary
Class | Description
--- | ---
DefaultArtifactVersion | Default implementation of artifact versioning.
ManagedVersionMap |
Restriction | Describes a restriction in versioning.
VersionRange | Construct a version range from a specification.

Exception Summary
Exception | Description
--- | ---
InvalidVersionSpecificationException | Occurs when a version is invalid.
OverConstrainedVersionException | Occurs when ranges exclude each other and no valid value remains.